Dim commands(2)
'Enter the accepted commands here....
commands(1) = "Licht aan"
commands(2) = "Licht uit"

myTime = DateAdd("n",-5,time) ' edit the time here for which commands will be processed ( "n" -10  ==  -10 minutes)


'get tweets  (dont forget to change the URL to your timeline
url = "http://twitter.com/statuses/user_timeline/xxxxxx.rss"
Set objHTTP = CreateObject("MSXML2.XMLHTTP")
Call objHTTP.Open("GET", url, False)
objHTTP.Send
' remove line breaks from response
res= Trim(Replace(Replace(objHTTP.ResponseText, vbLf, ""), vbCr, "")) 

' get all items
Set myRegExp = New RegExp
myRegExp.IgnoreCase = True
myRegExp.Global = True
myRegExp.multiline = True
myRegExp.Pattern = "<item>(.*?)</item>"
Set myItems = myRegExp.Execute(res)



' Loop through all items
For Each myItem in myItems
	' get date

	Set myRegExp = New RegExp
	myRegExp.IgnoreCase = True
	myRegExp.Global = True
	myRegExp.multiline = True
	myRegExp.Pattern = "<pubDate>(.*?)</pubDate>"
	set myDates = myRegExp.Execute(myItem.value)
	myDate = Trim(Replace(Replace(myDates(0), "<pubDate>", ""), "</pubDate>", ""))

	' check if the date is today 
	' (because VBscript is hooked into windows localization, it's pretty hard to compare it to the actual date on twitter)

	strDay = Day(Now)
	if strDay < 10 then strDay = "0" & strDay end if
	if instr( myDate, ", " & strDay & " ") then
		
		tmpArr = Split(myDate, " ")
		tmpTime = tmpArr(4)
		
		'add 1 hour at Twitter time
		newTime = DateAdd("h",1, TmpTime)
     	
		
		if Cdate (myTime) < Cdate(newTime) then
		
				' This message is new enough to process....
			Set myRegExp = New RegExp
			myRegExp.IgnoreCase = True
			myRegExp.Global = True
			myRegExp.multiline = True
			myRegExp.Pattern = "<description>(.*?)</description>"
			Set myMessage = myRegExp.Execute(myItem.value)
			val = Mid(myMessage(0), 14, LEN(myMessage(0))-27)
			semicolon = InStrRev(val, ":")
			' valid messages are like "{username}: {msg}"
			if semicolon <> false then
			
				message   = Trim(MID(val,semicolon+1,LEN(val)))
				
			' Compare the "message" with allowed commands
				found     = Filter(commands, message)
				' Loop through valid commands and process them (if there are any)
				for each cmd in found
					process(cmd)
				next
			end if
		else 
			' We can exit the script...
			
			'wscript.quit [exitcode]
		end if
	else 
		' We can exit the script...
		'wscript.quit [exitcode]
	end if
Next

function process(cmd)
	Select case cmd
	
		
		case "Licht aan"
			
			'msgbox("aan")
			SetPropertyValue "TV Lamp rechts.Power State", "On"
		Case "Licht uit"
			'msgbox("uit")
			SetPropertyValue "TV Lamp rechts.Power State", "Off"
	End select
end function